---
schema_version: "1"
id: 18f3f8f3fb89035596e4f089a5c8a50c33c4bafed174eb0e2500740b3db71f5b
title: Credit Cards
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/industries-integrations/financial_services/references/generated-api-specs/credit_cards.md
canonical_url: https://developer.salesforce.com/docs/industries/fsc/references/credit_cards
source_site: developer.salesforce.com
content_type: documentation
content_hash: 29fc044190945b93137a5c52f86b876e870d31c014c5b86bbea98c66e10ad806
products:
  - Agentforce Financial Services
  - Industries Integrations
---
Credit Cards

# Credit Cards

Use the Credit Cards API to orchestrate the transactional and planned maintenance activities related to the fulfillment of a credit card.

**Version:** v1

Protocols: HTTPS.

## Operations

### GET Retrieve card account limits and card holder details

`GET /CreditCard/{creditCardId}/Retrieve`

Retrieve the card limits and card holder details of the credit card account.

#### Parameters

*   `creditCardId` (path, string, required) The unique ID of the credit card account.  
    Example: `01axx000003MLytAAG`.
*   `requestId` (query, string) The unique tracking ID of the request.  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) The unique reference ID of the flow from the source system of the request.  
    Example: `006E0077774TquXIAS`.

#### Responses

*   **200** Card account limits and card holder details retrieved.
    
    Media type: `application/json`. Schema: `GetCardAccountResponse`.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** The server couldn't find any valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "406"
    errorMessage: The requested resource cannot generate acceptable content according to the Accept headers sent in the request.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "415"
    errorMessage: The server denied the request because it was not in a format supported by the target resource.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **429** The server exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server denied the request due to exceeding rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### PUT Update card account details

`PUT /CreditCard/{creditCardId}/Update`

Update card limits, card holder details, and the status of the credit card account.

#### Parameters

*   `creditCardId` (path, string, required) The unique ID of the credit card account.  
    Example: `01axx000003MLytAAG`.
*   `requestId` (query, string) The unique tracking ID of the request.  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) The unique reference ID of the flow from the source system of the request.  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `UpdateCardAccountRequest`.

#### Responses

*   **200** Card account details updated.
    
    Media type: `application/json`. Schema: `UpdateCardAccountResponse`.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** The server couldn't find any valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as GET /CreditCard/{creditCardId}/Retrieve 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as GET /CreditCard/{creditCardId}/Retrieve 415 response._
    
*   **429** The server exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server denied the request due to exceeding rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### POST Check the eligibility of CreditCard for Payment Deferral

`POST /CreditCard/{creditCardId}/PaymentDeferral/Eligibility`

Check the eligibility of CreditCard for Payment Deferral

#### Parameters

*   `creditCardId` (path, string, required) The unique ID of the credit card account.  
    Example: `01axx000003MLytAAG`.
*   `requestId` (query, string) The unique tracking ID of the request.  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) The unique reference ID of the flow from the source system of the request.  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `object`.

*   `eligibilityVerificationDate` (_date-only_, required) Date on which the deferral eligibility is evaluated.  
    Example: `2026-06-10`.
*   `deferralReason` (_string_, required) Reason provided by the customer for requesting payment deferral, such as medical emergency, financial issues, and so on.  
    Example: `financial_hardship`.

#### Responses

*   **200** Retrieved the eligibility of Payment Deferral
    
    Media type: `application/json`. Schema: `object`.
    
    *   `requestId` (_string_, required) Unique ID for the eligibility request.  
        Example: `12334455`.
    *   `eligibleForModification` (_boolean_, required) Indicates whether the account is eligible for payment deferral (`true`) or not (`false`).  
        Example: `true`.
    *   `modifiedPaymentDetails` (_object_, required) Payment modification details if deferral is applied.
        *   `deferredPaymentsCount` (_number_, required)  
            Example: `3`.
        *   `nextDueDateAfterDeferral` (_date-only_, required)  
            Example: `2026-06-15`.
        *   `interestAccruedDuringDeferral` (_number (double)_, required)  
            Example: `200.50`.
    *   `deferralEligibilityExpiryDate` (_date-only_, required) Date until which the deferral eligibility remains valid.  
        Example: `2026-06-01`.
    *   `eligibilityVerificationDate` (_date-only_) Date on which the deferral eligibility was evaluated.  
        Example: `2026-06-18`.
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** The server couldn't find any valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as GET /CreditCard/{creditCardId}/Retrieve 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as GET /CreditCard/{creditCardId}/Retrieve 415 response._
    
*   **429** The server exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server denied the request due to exceeding rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### POST Payment Deferral enrollment for CreditCard

`POST /CreditCard/{creditCardId}/PaymentDeferral/Enrollment`

Enroll CreditCard for Payment Deferral

#### Parameters

*   `creditCardId` (path, string, required) The unique ID of the credit card account.  
    Example: `01axx000003MLytAAG`.
*   `requestId` (query, string) The unique tracking ID of the request.  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) The unique reference ID of the flow from the source system of the request.  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `object`.

*   `updatedPaymentDetails` (_object_, required) Details of the updated payment terms to be applied after deferral.
    *   `deferredPaymentsCount` (_number_, required)  
        Example: `3`.
    *   `nextDueDateAfterDeferral` (_date-only_, required)  
        Example: `2026-06-15`.
    *   `interestAccruedDuringDeferral` (_number (double)_, required)  
        Example: `200.50`.
*   `confirmationDate` (_date-only_, required) Date on which the customer confirms the deferral enrollment.  
    Example: `2026-06-18`.
*   `requiresUpfrontPayment` (_boolean_) Indicates whether an upfront payment is required to proceed with the deferral (`true`) or not (`false`).  
    Example: `false`.

#### Responses

*   **200** Payment Deferral enrollment created successfully
    
    Media type: `application/json`. Schema: `object`.
    
    *   `requestId` (_string_, required) Unique identifier for the deferral enrollment request.  
        Example: `12334455`.
    *   `status` (_string_, required) Current status of the deferral enrollment, such as success or failed.  
        Example: `Success`.
    *   `nextDueDateAfterDeferral` (_date-only_, required) Next payment due date after applying the deferral.  
        Example: `2026-06-15`.
    *   `deferredPaymentsCount` (_number_, required) Number of payments that have been deferred.  
        Example: `3`.
    *   `interestAccruedDuringDeferral` (_number (double)_, required) Total interest amount that's accumulated during the deferral period.  
        Example: `200.50`.
    *   `confirmationDate` (_date-only_, required) Date on which the customer confirmed the deferral.  
        Example: `2026-06-18`.
    *   `requiresUpfrontPayment` (_boolean_) Indicates whether an upfront payment was required as part of the deferral.  
        Example: `false`.
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** The server couldn't find any valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as GET /CreditCard/{creditCardId}/Retrieve 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as GET /CreditCard/{creditCardId}/Retrieve 415 response._
    
*   **429** The server exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server denied the request due to exceeding rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### POST Check the eligibility of CreditCard for Due Date Change

`POST /CreditCard/{creditCardId}/DueDateChange/Eligibility`

Check the eligibility of CreditCard for Due Date Change

#### Parameters

*   `creditCardId` (path, string, required) The unique ID of the credit card account.  
    Example: `01axx000003MLytAAG`.
*   `requestId` (query, string) The unique tracking ID of the request.  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) The unique reference ID of the flow from the source system of the request.  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `object`.

*   `paymentFrequency` (_string_, required) Frequency of payments for the account, such as monthly or bi-weekly.  
    Allowed values: `Monthly`. Example: `Monthly`.
*   `requestedRecurringDueDay` (_number_, required) Preferred day of the cycle or month for future payment due dates.  
    Minimum: 1. Maximum: 28. Example: `2`.

#### Responses

*   **200** Retrieved the eligibility of Due Date Change
    
    Media type: `application/json`. Schema: `object`.
    
    *   `requestId` (_string_, required) Unique identifier for the eligibility request.  
        Example: `12334455`.
    *   `eligibleForModification` (_boolean_, required) Indicates whether the due date change is allowed (`true`) or not (`false`).  
        Example: `true`.
    *   `paymentFrequency` (_string_, required) Frequency of payments for the account, such as monthly or bi-weekly.  
        Allowed values: `Monthly`. Example: `Monthly`.
    *   `requestedRecurringDueDay` (_number_, required) Preferred day of the cycle or month for future payment due dates.  
        Minimum: 1. Maximum: 28. Example: `2`.
    *   `currentDueDate` (_date-only_, required) Existing payment due date before any modification.  
        Example: `2026-06-15`.
    *   `eligibilityCriteriaMet` (_array of any_) Indicates whether all required eligibility conditions are satisfied (`true`) or not (`false`).
        
        _Example_
        
        ```
        - "No past due payments"
        - "Credit card balance under $10,000"
        ```
        
    *   `modifiedPaymentDetails` (_object_, required) Proposed updated payment schedule reflecting the requested due date change.
        *   `paymentAmount` (_number (double)_, required)  
            Example: `250.75`.
        *   `remainingBalance` (_number (double)_, required)  
            Example: `5000.00`.
        *   `interestAccrued` (_number (double)_, required)  
            Example: `35.25`.
        *   `nextPaymentDueDate` (_date-only_, required)  
            Example: `2026-06-15`.
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** The server couldn't find any valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as GET /CreditCard/{creditCardId}/Retrieve 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as GET /CreditCard/{creditCardId}/Retrieve 415 response._
    
*   **429** The server exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server denied the request due to exceeding rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### POST Due Date Change confirmation for CreditCard

`POST /CreditCard/{creditCardId}/DueDateChange/Confirmation`

Confirm CreditCard for Due Date Change

#### Parameters

*   `creditCardId` (path, string, required) The unique ID of the credit card account.  
    Example: `01axx000003MLytAAG`.
*   `requestId` (query, string) The unique tracking ID of the request.  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) The unique reference ID of the flow from the source system of the request.  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `object`.

*   `paymentFrequency` (_string_, required) Finalized payment frequency to be applied, such as monthly or bi-weekly.  
    Allowed values: `Monthly`. Example: `Monthly`.
*   `requestedRecurringDueDay` (_number_, required) Recurring due day for payments.  
    Example: `3`.
*   `confirmation` (_boolean_, required) Indicates whether the customer accepted the due date change terms (`true`) or not (`false`).  
    Example: `true`.
*   `confirmationTimestamp` (_datetime_, required) Date and time when the customer provided their confirmation.  
    Example: `2026-06-10T09:53:06.851858Z`.
*   `modifiedPaymentDetails` (_object_, required) Details of the final payment schedule to be applied after customer confirmation.
    *   `paymentAmount` (_number (double)_, required)  
        Example: `2000.05`.
    *   `remainingBalance` (_number (double)_, required)  
        Example: `20000`.
    *   `interestAccrued` (_number (double)_, required)  
        Example: `20.05`.
    *   `nextPaymentDueDate` (_date-only_, required)  
        Example: `2026-06-01`.

#### Responses

*   **200** Due Date Change confirmed successfully
    
    Media type: `application/json`. Schema: `object`.
    
    *   `requestId` (_string_, required) Unique ID for the due date change confirmation request.  
        Example: `12334455`.
    *   `confirmationStatus` (_string_, required) Status of the due date change request.  
        Example: `Confirmed`.
    *   `paymentFrequency` (_string_, required) Payment frequency that's applied after confirmation.  
        Allowed values: `Monthly`. Example: `Monthly`.
    *   `requestedRecurringDueDay` (_number_, required) Recurring due day that's applied.  
        Example: `3`.
    *   `modifiedPaymentDetails` (_object_, required) Finalized payment schedule after applying the due date change.
        *   `paymentAmount` (_number (double)_, required)  
            Example: `2000.05`.
        *   `remainingBalance` (_number (double)_, required)  
            Example: `20000`.
        *   `interestAccrued` (_number (double)_, required)  
            Example: `20.05`.
        *   `nextPaymentDueDate` (_date-only_, required)  
            Example: `2026-06-01`.
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** The server couldn't find any valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as GET /CreditCard/{creditCardId}/Retrieve 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as GET /CreditCard/{creditCardId}/Retrieve 415 response._
    
*   **429** The server exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server denied the request due to exceeding rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### POST Validate credit card

`POST /CreditCard/{creditCardId}/IssuedDevice/{issuedDeviceId}/Validate`

Verify if the customer's credit card is valid.

#### Parameters

*   `creditCardId` (path, string, required) The unique ID of the credit card account.  
    Example: `01axx000003MLytAAG`.
*   `issuedDeviceId` (path, string, required) The unique ID of the credit card.  
    Example: `01b8ur0003OHytCGE`.
*   `requestId` (query, string) The unique tracking ID of the request.  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) The unique reference ID of the flow from the source system of the request.  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `ValidateCardRequest`.

#### Responses

*   **201** Credit card information validated.
    
    Media type: `application/json`. Schema: `ValidateCardResponse`.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** The server couldn't find any valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as GET /CreditCard/{creditCardId}/Retrieve 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as GET /CreditCard/{creditCardId}/Retrieve 415 response._
    
*   **429** The server exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server denied the request due to exceeding rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### GET Retrieve card balance and usage details

`GET /CreditCard/{creditCardId}/IssuedDevice/{issuedDeviceId}/Retrieve`

Retrieve the account balance and usage details, and manage the card details.

#### Parameters

*   `creditCardId` (path, string, required) The unique ID of the credit card account.  
    Example: `01axx000003MLytAAG`.
*   `issuedDeviceId` (path, string, required) The unique ID of the credit card.  
    Example: `01b8ur0003OHytCGE`.
*   `requestId` (query, string) The unique tracking ID of the request.  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) The unique reference ID of the flow from the source system of the request.  
    Example: `006E0077774TquXIAS`.

#### Responses

*   **200** Card balance and usage details retrieved.
    
    Media type: `application/json`. Schema: `GetCardResponse`.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** The server couldn't find any valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as GET /CreditCard/{creditCardId}/Retrieve 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as GET /CreditCard/{creditCardId}/Retrieve 415 response._
    
*   **429** The server exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server denied the request due to exceeding rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### PUT Update card details

`PUT /CreditCard/{creditCardId}/IssuedDevice/{issuedDeviceId}/Update`

Reset the card's PIN and manage the card details.

#### Parameters

*   `creditCardId` (path, string, required) The unique ID of the credit card account.  
    Example: `01axx000003MLytAAG`.
*   `issuedDeviceId` (path, string, required) The unique ID of the credit card.  
    Example: `01b8ur0003OHytCGE`.
*   `requestId` (query, string) The unique tracking ID of the request.  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) The unique reference ID of the flow from the source system of the request.  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `UpdateCardRequest`.

#### Responses

*   **200** Card details updated.
    
    Media type: `application/json`. Schema: `UpdateCardResponse`.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** The server couldn't find any valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as GET /CreditCard/{creditCardId}/Retrieve 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as GET /CreditCard/{creditCardId}/Retrieve 415 response._
    
*   **429** The server exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server denied the request due to exceeding rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

### POST Initiate payment

`POST /CreditCard/{creditCardId}/IssuedDevice/{issuedDeviceId}/Payments/Initiate`

Initiate the payment.

#### Parameters

*   `creditCardId` (path, string, required) The unique ID of the credit card account.  
    Example: `01axx000003MLytAAG`.
*   `issuedDeviceId` (path, string, required) The unique ID of the credit card.  
    Example: `01b8ur0003OHytCGE`.
*   `requestId` (query, string) The unique tracking ID of the request.  
    Example: `006E0000004TquXIAS`.
*   `flowRefId` (query, string) The unique reference ID of the flow from the source system of the request.  
    Example: `006E0077774TquXIAS`.

#### Request body

Media type: `application/json`. Schema: `InitiatePaymentRequest`.

#### Responses

*   **201** Payment initiated.
    
    Media type: `application/json`. Schema: `InitiatePaymentResponse`.
    
*   **400** The server couldn’t process the request due to a client error.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "400"
    errorMessage: Invalid request message.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **401** The server couldn't find any valid credentials to access the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "401"
    errorMessage: Required credentials are missing or invalid.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **403** The server denied access to the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "403"
    errorMessage: Access to the requested resource was denied.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **404** The server couldn’t find the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "404"
    errorMessage: Requested resource was not found.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **405** The request method isn't supported for the requested resource.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "405"
    errorMessage: The target resource does not support the requested method.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **406** The target resource didn't have a current representation that was acceptable to the user agent.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as GET /CreditCard/{creditCardId}/Retrieve 406 response._
    
*   **415** The Accept header specified an unsupported media type.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example: same as GET /CreditCard/{creditCardId}/Retrieve 415 response._
    
*   **429** The server exceeded the API request rate limit.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "429"
    errorMessage: The server denied the request due to exceeding rate limits.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    
*   **500** An internal error occurred while processing the API request.
    
    Media type: `application/json`. Schema: `ErrorResponse`.
    
    _Example_
    
    ```
    errorCode: "500"
    errorMessage: The server was unable to process the request due to an internal error.
    transactionId: dd960082-abbf-47c2-8c65-f18eeb35848b
    timeStamp: 2019-09-30T15:27:49.274Z
    ```
    

## Schemas

### GetCardAccountResponse

Specifies the response to the request to retrieve the card account.

*   `CurrencyCode` (_string_) A code identifying a currency according to ISO-4217.  
    Example: `USD`.
*   `PositionLimits` (_array of PositionLimitType_)  
    Minimum items: 1.
*   `CustomerReference` (_object_) Specifies the details of the customer reference.
    
    Includes all fields of `CustomerReferenceType`.
    
*   `BillingInformation` (_object_) Specifies the details of the billing information.
    
    Includes all fields of `BillingInformationType`.
    

_Example_

```
{
    "CurrencyCode": "USD",
    "PositionLimits": [
        {
            "LimitType": "CurrentLimit",
            "LimitAmount": {
                "AmountValue": {
                    "Value": "23123"
                }
            },
            "LimitStatus": {
              "LimitStatusType": "Enabled"
            }
        },
        {
            "LimitType": "PreApprovedLimit",
            "LimitAmount": {
                "AmountValue": {
                    "Value": "23123"
                }
            },
            "LimitStatus": {
              "LimitStatusType": "Enabled"
            }
        },
        {
            "LimitType": "MaxLimit",
            "LimitAmount": {
                "AmountValue": {
                    "Value": "23123"
                }
            },
            "LimitStatus": {
              "LimitStatusType": "Enabled"
            }
        }
    ],
    "CustomerReference": {
        "CustomerId": "01axx000003MLytAAG",
        "FirstName": "John",
        "LastName": "Carter",
        "SSN": "549759",
        "Email": "abcdef@xyz.com",
        "Phone": "0000000000",
        "SumOfAllOnGoingLoans/EMI": "3967",
        "Address": {
            "AddressType": "Mailing Address",
            "AddressLine1": "415 Mission St",
            "AddressLine2": "Floor 61",
            "City": "San Francisco",
            "State": "CA",
            "PostalCode": "94105",
            "Country": "USA"
        },
        "EmploymentDetails": {
            "Status": "Full-Time",
            "Occupation": "Engineer",
            "Income": {
                "Amount": "257410"
            }
        }
    },
    "BillingInformation": {
        "BillingCycle": {
            "CycleType": "MONTHLY",
            "BillingDay": "15",
            "StartsAt": "02/15",
            "EndsAt": "03/14"
        }
    }
}
```

### ErrorResponse

Represents a standard message body to be returned with the error responses.

*   `errorCode` (_string_, required) The short code to identify the error.  
    Example: `INVALID_PARAMETER`.
*   `errorMessage` (_string_, required) The verbose, human-readable error message.  
    Example: `The value you entered is out of bounds`.
*   `transactionId` (_string_, required) The request identifier.  
    Example: `dd960082-abbf-47c2-8c65-f18eeb35848b`.
*   `timeStamp` (_datetime_, required) The event date and time.  
    Example: `2019-09-23T11:46:44.256-05:00`.

### UpdateCardAccountRequest

Specifies the details of the request to update the credit card account. If the Status filed is provided, the request is processes as an account closure.

*   `CurrencyCode` (_string_) A code identifying a currency according to ISO-4217.  
    Example: `USD`.
*   `PositionLimits` (_array of PositionLimitType_)  
    Minimum items: 1.
*   `CustomerReference` (_object_) The details of the customer reference.
    
    Includes all fields of `CustomerReferenceType`.
    
*   `BillingInformation` (_object_) Specifies the details of the billing information.
    
    Includes all fields of `BillingInformationType`.
    
*   `Status` (_string_) The status of the account. Set to CLOSED to close the credit card account.  
    Example: `CLOSED`.
*   `ReasonForClosure` (_string_) The reason for closing the account.  
    Example: `Fraud Prevention`.

_Example_

```
{
    "CurrencyCode": "USD",
    "PositionLimits": [
        {
            "LimitType": "CurrentLimit",
            "LimitAmount": {
                "AmountValue": {
                    "Value": "23123"
                }
            },
            "LimitStatus": {
              "LimitStatusType": "Requested"
            },
            "StatusReason": {
                "Text": "Change in Income"
            }
        },
        {
            "LimitType": "MaxLimit",
            "LimitAmount": {
                "AmountValue": {
                    "Value": "23123"
                }
            },
            "LimitStatus": {
              "LimitStatusType": "Requested"
            },
            "StatusReason": {
                "Text": "Change in Income"
            }
        }
    ],
    "CustomerReference": {
        "SSN": "1234",
        "Email": "abcdef@xyz.com",
        "Phone": "0000000000",
        "SumOfAllOnGoingLoans/EMI": "0",
        "EmploymentDetails": {
            "Status": "Full-Time",
            "Occupation": "Engineer",
            "Income": {
                "Amount": "50000"
            }
        },
        "CustomerId": "1342",
        "LastName": "Carter",
        "Address": {
            "AddressType": "Mailing Address",
            "AddressLine1": "415 Mission St",
            "AddressLine2": "Floor 61",
            "City": "San Francisco",
            "State": "CA",
            "PostalCode": "94105",
            "Country": "USA"
        },
        "FirstName": "John"
    },
    "BillingInformation": {
        "BillingCycle": {
            "CycleType": "MONTHLY",
            "BillingDay": "15",
            "StartsAt": "02/15",
            "EndsAt": "03/14"
        }
    }
}
```

### UpdateCardAccountResponse

Specifies the response to the request to update the card account.

*   `CreditCardAccountId` (_string_, required) The ID of the card account.  
    Example: `3489`.
*   `Status` (_string_, required) The update status of the card account. Valid values are Success and Failure.  
    Example: `Success`.
*   `AccountClosureStatus` (_string_) The account closure status of the credit card account. It's shown if the request is an account closure.  
    Example: `CLOSED`.

### ValidateCardRequest

Specifies the details of the request to validate the card.

*   `CVV` (_string_) The 3 or 4-digit security code that appears on the card following the card number.  
    Example: `352`.
*   `CardExpiryMonth` (_string_, required) The month the card is scheduled to expire.  
    Example: `11`.
*   `CardExpiryYear` (_string_, required) The year the card is scheduled to expire.  
    Example: `2033`.
*   `SSN` (_string_) The last 4 digits of the Social Security Number (SSN).  
    Example: `8247`.

### ValidateCardResponse

Specifies the response to the request to validate the card.

*   `IsValid` (_string_, required) Indicates whether the card is valid (true) or not (false).  
    Example: `true`.

### GetCardResponse

Specifies the response to the request to retrieve the credit card.

*   `CardDetails` (_object_, required) The credit card usage, and balances response.
    
    Includes all fields of `GetBalancesResponseType`, `GetCardUsageResponseType`.
    

### UpdateCardRequest

Specifies the usage request for the credit card.

*   `CardDetails` (_object_, required) The details of the update card usage, and PIN reset type requests.
    
    Includes all fields of `ResetPinRequestType`, `UpdateCardUsageRequestType`.
    

### UpdateCardResponse

Specifies the response to the request to update the credit card.

*   `CardId` (_string_, required) The ID of the card.  
    Example: `3489`.
*   `Status` (_string_, required) The status of the update card request. Valid values are Success and Failure.  
    Example: `Success`.

### InitiatePaymentRequest

Specifies the details of the request to initiate the payment.

*   `Payments` (_WIRE\_TRANSFER | CHECK_) If the bank owes money to the customer, the bank either transfers money by check or via wire transfer. This object provides information about the customer's bank account that the bank must transfer the amount to if the customer wants to receive the amount via wire transfer. If a customer wants to receive the amount via check, this object has the details of the address to dispatch the check to.
    
    One of: `WIRE_TRANSFER`, `CHECK`.
    

### InitiatePaymentResponse

Specifies the response to the request to initiate the payment.

*   `Status` (_string_, required) The status of the payment. Valid values are Success and Failure.  
    Example: `Success`.
*   `CardId` (_string_, required) The ID of the card.  
    Example: `3489`.

### PositionLimitType

Specifies the card usage type and limits of each.

*   `LimitType` (_string_, required) Type of limit imposed (Nature of the limit.)  
    Example: `CurrentLimit`.
*   `LimitAmount` (_object_)
    
    Includes all fields of `LimitAmountType`.
    
*   `LimitStatus` (_object_) Current status of the limit.
    *   `LimitStatusType` (_string_, required) The type of limit status., like Enabled,Disabled,Deleted,Requested  
        Example: `Requested`.
*   `StatusReason` (_object_) Specifies the reason for the status in case of updating the limit.
    *   `Text` (_string_, required) The reason for the status.  
        Example: `Change in Income`.

### CustomerReferenceType

Specifies the details of the customer reference.

*   `CustomerId` (_string_) The ID of the customer.  
    Example: `1342`.
*   `FirstName` (_string_) The first name of the customer.  
    Example: `John`.
*   `LastName` (_string_) The last name of the customer.  
    Example: `Carter`.
*   `Email` (_string_) The email of the customer.  
    Example: `abcdef@xyz.com`.
*   `Phone` (_string_) The phone of the customer.  
    Example: `0000000000`.
*   `Address` (_object_) The address of the customer.
    
    Includes all fields of `ADDRESS`.
    
*   `SSN` (_string_) The SSN of the customer.  
    Example: `1234`.
*   `SumOfAllOnGoingLoans/EMI` (_string_) The sum of ongoing loans and EMI of the customer.  
    Example: `0`.
*   `EmploymentDetails` (_object_) The employment details of the customer.
    *   `Status` (_string_, required) The employment status of the customer. For example, Full-Time, Part-Time, Contract, or Temporary.  
        Example: `Full-Time`.
    *   `Occupation` (_string_, required) The occupation of the customer.  
        Example: `Engineer`.
    *   `Income` (_object_) The income of the customer.
        *   `Amount` (_string_, required) The income amount of the customer.  
            Example: `50000`.

### BillingInformationType

Specifies the billing information.

*   `BillingCycle` (_object_) The details of the billing cycle.
    *   `CycleType` (_string_, required) The billing cycle type.  
        Example: `MONTHLY`.
    *   `BillingDay` (_string_, required) The day of the billing cycle.  
        Example: `15`.
    *   `StartsAt` (_string_) The billing cycle start date in MM/DD format.  
        Example: `02/15`.
    *   `EndsAt` (_string_) The billing cycle end date in MM/DD format.  
        Example: `03/14`.

### GetBalancesResponseType

Specifies the response to the request to get the balance.

*   `CardBalances` (_object_, required) The card balance details.
    
    Includes all fields of `GetBalancesType`.
    

### GetCardUsageResponseType

Specifies the response to the request to get the credit card usage.

*   `CardId` (_string_) The unique ID of the card.  
    Example: `3489`.
*   `IsLocked` (_string_) Indicates if the card is locked.  
    Example: `true`.
*   `CurrencyCode` (_string_) The currency code for the account.  
    Example: `USD`.
*   `CardStatus` (_string_) The status of the card.  
    Example: `CLOSED`.
*   `ReasonForClosure` (_string_) The reason for closing the credit card.  
    Example: `Fraud Prevention`.
*   `CardUsageControls` (_object_) The usage control details for the credit card.
    *   `DomesticUsageControl` (_object_) The details of the domestic usage control for the credit card.
        
        Includes all fields of `CardUsageControl`.
        
    *   `InternationalUsageControl` (_object_) The details of the international usage control for the credit card.
        
        Includes all fields of `CardUsageControl`.
        

### ResetPinRequestType

Specifies the details of the reset PIN request type.

*   `PinResetDetails` (_object_) The PIN reset details object.
    
    Includes all fields of `ResetPinType`.
    

### UpdateCardUsageRequestType

Specifies the details of the credit card usage request.

*   `CurrencyCode` (_string_) The currency type for the account.  
    Example: `USD`.
*   `IsLocked` (_string_) Indicates if the card is locked.  
    Example: `true`.
*   `CardStatus` (_string_) The status of the card.  
    Example: `CLOSED`.
*   `ReasonForClosure` (_string_) The reason for closing the credit card.  
    Example: `Fraud Prevention`.
*   `CardUsageControls` (_object_) The usage control details for the credit card.
    *   `DomesticUsageControl` (_object_) The details of the domestic usage control for the credit card.
        
        Includes all fields of `CardUsageControl`.
        
    *   `InternationalUsageControl` (_object_) The details of the international usage control for the credit card.
        
        Includes all fields of `CardUsageControl`.
        

### WIRE\_TRANSFER

Specifies the details of the wire transfer.

*   `PaymentType` (_string_, required) The type of payment transaction. Valid values are Wire Transfer and Check.  
    Example: `Wire Transfer`.
*   `PaymentMechanism` (_string_, required) The type of payment. Valid values are One-time and Recurring.  
    Example: `One-time`.
*   `PaymentPurpose` (_string_) The purpose of the payment.  
    Example: `Credit Card Bill Payment`.
*   `PayeeReference` (_object_) The reference details of the payment.
    *   `PayeeName` (_string_, required) The beneficiary account holder's name.  
        Example: `John Carter`.
*   `PayeeAccountReference` (_object_, required) The reference details of the payee's account.
    *   `PayeeAccountNumber` (_string_, required) The beneficiary account identifier.  
        Example: `AMZ10012`.
    *   `PayeeAccountType` (_string_, required) The account type.  
        Example: `savings account`.

### CHECK

Specifies the check details.

*   `PaymentType` (_string_, required) The type of payment transaction. Valid values are Wire Transfer and Check.  
    Example: `Check`.
*   `PaymentMechanism` (_string_, required) The type of payment. Valid values are One-time and Recurring.  
    Example: `One-time`.
*   `PaymentPurpose` (_string_) The purpose of the payment.  
    Example: `Credit Card Bill Payment`.
*   `PayeeReference` (_object_, required) The payee reference details.
    *   `PayeeName` (_string_, required) The beneficiary account holder's name.  
        Example: `John Carter`.
*   `PayeeAddressReference` (_object_, required) The payee address reference details.
    
    Includes all fields of `ADDRESS`.
    

### LimitAmountType

Amount of money of the limit, expressed in a currency.

*   `AmountValue` (_object_, required) Number of monetary units specified in a currency, where the unit of currency is explicit and compliant with ISO 4217.
    *   `Value` (_string_, required) The value for the amount.  
        Example: `5000`.

### ADDRESS

Specifies the address details.

*   `AddressType` (_string_) The type of address. For example, Home.  
    Example: `Mailing Address`.
*   `AddressLine1` (_string_, required) The address line 1 of the customer's address.  
    Example: `415 Mission St`.
*   `AddressLine2` (_string_) The address line 2 of the customer's address.  
    Example: `Floor 61`.
*   `City` (_string_, required) The city name of the customer's address.  
    Example: `San Francisco`.
*   `State` (_string_, required) Specifes the state of the customer address.  
    Example: `CA`.
*   `PostalCode` (_string_, required) Specifes the postal code of the customer address.  
    Example: `94105`.
*   `Country` (_string_, required) The country of the customer's address.  
    Example: `USA`.

### GetBalancesType

Specifies the details of the balances.

*   `Balances` (_array of BalanceType_, required) The array of balances associated with the account.
    
    _Example_
    
    ```
    - # 1st
      BalanceType: UnbilledCredit
      BalanceAmount: "500"
    - # 2nd
      BalanceType: UnbilledDebit
      BalanceAmount: "1000"
    - # 3rd
      BalanceType: BilledAmount
      BalanceAmount: "500"
    - # 4th
      BalanceType: OutstandingAmount
      BalanceAmount: "500"
    ```
    
*   `AdditionalAttributes` (_object_)
    *   `PaymentDueDate` (_string_, required) The payment due date.  
        Example: `2025-06-08`.

### CardUsageControl

Specifies the usage control details of the card.

*   `Tap&Pay` (_string_) Indicates whether the Tap and Pay feature of the card is active (true) or not (false).  
    Allowed values: `true`, `false`. Example: `true`.
*   `MerchantPos` (_string_) Indicates whether the merchant point-of-sale (POS) feature of the card is active (true) or not (false).  
    Allowed values: `true`, `false`. Example: `true`.
*   `OnlineTransaction` (_string_) Indicates whether the online transaction feature of the card is active (true) or not (false).  
    Allowed values: `true`, `false`. Example: `true`.
*   `AtmWithdrawal` (_string_) Indicates whether the ATM withdrawal feature of the card is active (true) or not (false).  
    Allowed values: `true`, `false`. Example: `true`.

### ResetPinType

Specifies the details of the request to reset the PIN type.

*   `ReasonForPinReset` (_string_, required) The reason for resetting the PIN.  
    Example: `Fraud Prevention`.

### BalanceType

Balance object for an account.

*   `BalanceType` (_string_, required) The balance type.  
    Example: `AvailableBalance`.
*   `BalanceAmount` (_string_, required) The balance amount.  
    Example: `5000`.